% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetch_amazons3.R
\name{fetch_amazons3}
\alias{fetch_amazons3}
\title{fetch_amazons3
A function to fetch Amazon S3 data from the windsor.ai API}
\usage{
fetch_amazons3(
  api_key,
  date_from = NULL,
  date_to = NULL,
  fields = c("campaign", "clicks", "spend", "impressions", "date")
)
}
\arguments{
\item{api_key}{Your api key to access Windsor.ai API}

\item{date_from}{The date from which to start getting data in format YYYY-MM-DD}

\item{date_to}{The date until which to start getting data in format YYYY-MM-DD}

\item{fields}{he fields fetched from the API for a given connector
See https://windsor.ai/api-fields/ for details.}
}
\value{
A data frame with the desired data
}
\description{
fetch_amazons3
A function to fetch Amazon S3 data from the windsor.ai API
}
\examples{
\dontrun{
my_amazons3_data <- fetch_amazons3(api_key = "your api key",
date_from = "2022-10-01",
date_to = "2022-10-02",
fields = c("campaign", "clicks",
"spend", "impressions", "date"))
}
}
